
Website Monitoring - Task #1665

Make unit tests support a proxy server

12/21/2016 07:11 AM - Luke Murphey

Status: Closed Start date: 12/21/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.1   

Description

Associated revisions

Revision 243 - 12/22/2016 08:08 AM - lmurphey

Internal proxy server now runs for tests

Tests now properly detect when the internal testing proxy server ought

to be used.

Reference #1665.

History

#1 - 12/21/2016 07:11 AM - Luke Murphey

- Tracker changed from Bug to Task

#2 - 12/21/2016 07:11 AM - Luke Murphey

See http://stackoverflow.com/questions/4412581/seriously-simple-python-http-proxy

#3 - 12/21/2016 09:07 AM - Luke Murphey

Proxy server is working. Just need to be able to set the port via a environment variable.

#4 - 12/22/2016 07:57 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

#5 - 12/22/2016 07:58 AM - Luke Murphey

- Status changed from Closed to In Progress

- % Done changed from 100 to 90

#6 - 01/06/2017 07:49 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
